SYNCHRONIZE_SRCU_EXP(9)

NAME
synchronize_srcu_expedited - Brute-force SRCU grace period

SYNOPSIS

void synchronize_srcu_expedited(struct srcu_struct * sp);

ARGUMENTS

sp
    srcu_struct with which to synchronize.

DESCRIPTION

Wait for an SRCU grace period to elapse, but be more aggressive about spinning rather than blocking when waiting.

Note that synchronize_srcu_expedited has the same deadlock and memory-ordering properties as does synchronize_srcu.

COPYRIGHT